Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Class JarResource

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceBase
          org.ajax4jsf.resource.JarResource

All Implemented Interfaces:
  org.ajax4jsf.resource.InternetResource

    public class JarResource

extends InternetResourceBase

Class stoped all resources in application classpath. TODO - set last midified & expired values.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:00 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `RESOURCES_ROOT` Default place for all static resources in Jar.

Fields inherited from interface org.ajax4jsf.resource.InternetResource
`CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, DEFAULT_TTL, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

Constructor Summary
`JarResource()`
`JarResource(java.lang.String path)`

Method Summary
`java.lang.String` | `getPath()`
`java.io.InputStream` | `getResourceAsStream(org.ajax4jsf.resource.ResourceContext context)`
`void` | `setPath(java.lang.String path)`

Methods inherited from class org.ajax4jsf.resource.InternetResourceBase
`deserializeData, encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getDataToStore, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, send, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCES_ROOT

    public static final java.lang.String RESOURCES_ROOT

  Default place for all static resources in Jar. to avoid access to any class in application, only allowed subpackages for META-INF/resources

  See Also:
    Constant Field Values

Constructor Detail

### JarResource

    public JarResource()

### JarResource

    public JarResource(java.lang.String path)

Method Detail

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(org.ajax4jsf.resource.ResourceContext context)

  Specified by:
    `getResourceAsStream` in interface `org.ajax4jsf.resource.InternetResource`
  Overrides:
    `getResourceAsStream` in class `InternetResourceBase`

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.